cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading from R1 to R2 Causes Hibernation Errors when Deploying Entitlements

Upgrading from R1 to R2 Causes Hibernation Errors when Deploying Entitlements

Summary

This KB article will go some way to help resolve an issue with deploying the R2 release for Flexnet operations 2016

Symptoms

After deploying the R2 release on top of the R1 release for FNO 2016 it has been observed that hibernate errors occur when deploying entitlements:

2016-06-03 14:43:57,847 [default task-21] ERROR (ui) [ADMN] Error has been returned by Hibernate. [Incident# 8378-093]
com.flexnet.operations.publicapi.OperationsException: Error has been returned by Hibernate. [Incident# 8378-093]
at com.flexnet.operations.bizobjects.entitlements.EntitlementBO.setEntitlementState(EntitlementBO.java:406) ~[classes:?]

Cause

This issue has been observed when the procedure to perform the upgrade is not completed correctly. This may be due to the instructions in the documentation not being clear:

? For producers upgrading from FlexNet Operations 2016 or later
1. Upgrade the FlexNet Embedded module.
2. Upgrade the FlexNet Operations module.
3. Upgrade any additional modules deployed in your existing version in any order.

Resolution

The following steps seem to prevent this issue:

1. Upgrade the FlexNet Operations module.
2. Upgrade the FlexNet Embedded module.
3. Upgrade any additional modules deployed in your existing version in any order.
Was this article helpful? Yes No
No ratings